1.2
1.2
get /v1/volumes
Description
볼륨 목록을 조회한다.
상태 ACTIVE (CURRENT)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.2 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| query | limit optional | 페이지에 표시될 번호 Example : 20 | integer | 20 |
| query | offset optional | Offset Example : 0 | integer | 0 |
| query | sort optional | 정렬 Example : column1:asc,column2:desc | string | None |
| query | name optional | 볼륨명 Example : bs-01 | string | None |
| query | object_name optional | 연결 서버명 Example : baremetal-server-name | string | None |
| query | volume_group_name optional | 볼륨 그룹명 Example : vg-01 | string | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | VolumeListResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/volumes
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = baremetal-blockstorage 1.2"
Example HTTP response
Response 200
{
"total_count": 1,
"volumes": [
{
"attachments": [
{
"id": "d7682135392e42489948c189e29011cc",
"name": "baremetal-01"
}
],
"created_at": "2026-02-11T06:40:48.807Z",
"created_by": "samsung-cloud-platform1@samsung.com",
"disk_type": "SSD",
"has_relation": false,
"id": "7239779c01e3405f82bb71c7f4b55fcd",
"is_in_volume_group": false,
"is_snapshot_activated": true,
"iscsi_target_ips": {
"description": "List of iscsi ips",
"example": [
"172.30.4.3",
"172.30.4.4"
]
},
"modified_at": "2026-02-11T06:40:48.814Z",
"modified_by": "samsung-cloud-platform2@samsung.com",
"name": "bs-01",
"purpose": "ORG",
"size_gb": 10,
"state": "CREATING",
"volume_group": ""
}
]
}